Subject: Re: [bug#68414] [PATCH] doc: Improve documentation for submitting patches

From: Clément Lassieur <[email-masked]>
Date: Mon, 15 Jan 2024 19:12:48 +0100

Hello Alexandre,

On Mon, Jan 15 2024, Alexandre Hannud Abdo wrote:

> Ni! Thank you, we're actually in good agreement.
>
> The possibility of sending inline patches is already there in the current documentation. The excerpt you cite is mostly collage of existing text that was spread in different sections.
>
> I sought to articulate the possibilities and their preferred order more
> clearly so people can better weight the consequences. And I actually tried to
> word it in a way that would discourage inline patches more strongly than the
> current text. I have sent inline patches in the past, after reading the
> current text, and I'm sure I would not have sent them with the text I propose.

The new version goes like: "You may also...".  But the truth is: "you
must not." (because inline patches just don't work without git
send-email).  It's a bit harsh, so I believe the best is to avoid
talking about things that we don't want.

> The only thing is that I did not feel authorized to exclude a possibility when
> rewriting the doc. But if you tell me I can, I'll happily change the wording
> to strictly discourage sending inline patches with an email client.

Rather than discourage, I think it's fine to not talk about it.  We
don't need to add rules for each use case.

Thanks,
Clément